Subject: Re: Compact Flash on 8349mITX

From: Anton Vorontsov <[email-masked]>
Date: Fri, 10 Oct 2008 15:40:48 +0400

On Fri, Oct 10, 2008 at 03:26:00PM +0800, Wang Jian wrote:
> Jeff Borlin wrote:
>>
>> Anton Vorontsov-2 wrote:
>>> This happens just before the PATA information is printed. I'm not
>>> libata expert; and from the brief look I don't see where libata
>>> clears any pending "unexpected" irqs. Just a guesswork,
>>> could you try this patch?
>>>
>> This patch did not appear to change anything.  
>
> Without this patch, you can't use it without irq.

I purposed two patches to Jeff: one is

+       ioread8(ap->ioaddr.status_addr);

I.e. clear an interrupt before requesting (just to be sure, I guess
libata is doing this already, just don't see where exactly). That didn't
work. :-/

And another approach was to try IRQ-less pata (another patch).

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2